using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using JBIM.Common;
using JBIM.Definition;

namespace JBIM.Component
{
    [TypeDefiniton(TypeDefinition.Room)]
    public class Room : VisibleComponentObject
    {
        public Room()
        {
            BoundarySegments = new List<List<BimId>>();
            OutLine2=new List<Polygon>();
        }
        public List<List<BimId>> BoundarySegments { get; private set; }
        public double Height { get; set; }
        public List<Polygon> OutLine2 { get; set; }
    }
}
